Skip to Content
veriom

List identity providers

GET
/v1/workspaces/{workspace_id}/identity/providers

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/identity/providers'
Example Response
[  {    "claims_mapping": {},    "client_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "discovery_metadata": {},    "domains": [      "string"    ],    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "issuer": "string",    "jwks_sha256": "string",    "last_rotated_at": "2019-08-24T14:15:22Z",    "name": "string",    "oidc": {      "redirect_uri": "string"    },    "protocol": "oidc",    "role_mapping": {},    "saml": {      "acs_url": "string",      "certificates": [        {          "fingerprint_sha256": "string",          "not_after": "2019-08-24T14:15:22Z",          "subject": "string"        }      ],      "idp_entity_id": "string",      "metadata_url": "string",      "sp_entity_id": "string",      "sp_metadata_url": "string",      "sso_url": "string"    },    "status": "string",    "updated_at": "2019-08-24T14:15:22Z",    "version": 0,    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  }]